INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_ASHTUM ashtum)

FIND_PATH(
    ASHTUM_INCLUDE_DIRS
    NAMES ashtum/api.h
    HINTS $ENV{ASHTUM_DIR}/include
        ${PC_ASHTUM_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    ASHTUM_LIBRARIES
    NAMES gnuradio-ashtum
    HINTS $ENV{ASHTUM_DIR}/lib
        ${PC_ASHTUM_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(ASHTUM DEFAULT_MSG ASHTUM_LIBRARIES ASHTUM_INCLUDE_DIRS)
MARK_AS_ADVANCED(ASHTUM_LIBRARIES ASHTUM_INCLUDE_DIRS)

